SoFocalDistanceElement(3)

NAME
SoFocalDistanceElement - The SoFocalDistanceElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoFocalDistanceElement.h>

Inherits SoFloatElement.

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const float distance)
FIXME: write doc.
static void set (SoState *const state, const float distance)
FIXME: write doc.
static float get (SoState *const state)
FIXME: write doc.
static float getDefault ()
FIXME: write doc.

  Protected Member Functions
virtual ~SoFocalDistanceElement ()

  Additional Inherited Members

Detailed Description

The SoFocalDistanceElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoFocalDistanceElement::~SoFocalDistanceElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoFocalDistanceElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoFocalDistanceElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoFocalDistanceElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoFocalDistanceElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoFocalDistanceElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value is 5.0.

Reimplemented from SoFloatElement.

Author

Generated automatically by Doxygen for Coin from the source code.